Skip to main content

unsafe_payAllSui

POST

Send all SUI coins to one recipient. This is for SUI coin only and does not require a separate gas coin object. Specifically, what pay_all_sui does are:1. accumulate all SUI from input coins and deposit all SUI to the first input coin2. transfer the updated first coin to the recipient and also use this first coin as gas coin object.3. the balance of the first input coin after tx is sum(input_coins) - actual_gas_cost.4. all other input coins other than the first are deleted.
param[0]
signerstringrequired
The transaction signer's Sui address
param[1]
inputCoinsarrayrequired
The Sui coins to be used in this transaction, including the coin for gas payment.
param[2]
recipientstringrequired
The recipient address
param[3]
gasBudgetstringrequired
The gas budget, the transaction will fail if the gas cost exceed the budget
Responses
jsonrpcstring
idinteger
the gas objects to be used
digestobjectrequired
objectIdobjectrequired
versionobjectrequired
inputObjectsarrayrequired
objects to be used in this transaction
txBytesstringrequired
BCS serialized transaction data bytes without its type tag, as base-64 encoded string.
codestringrequired
Code identifying the cause of the failed request.
messagestringrequired
Detailed message including the name and value of the invalid parameter.
{
"code": "ERROR_CODE",
"message": "Bad Request"
}
cURL
curl -X POST 'https://sui-mainnet.nodit.io' \
-H 'Content-Type: application/json' \
-H 'X-API-KEY: nodit-demo' \
-d '{
"jsonrpc": "2.0",
"id": 1,
"method": "unsafe_payAllSui",
"params": [
null,
[],
null,
null
]
}'